RM Upstart, obsolete, superseded by systemd / Products discontinued

Bug #1649310 reported by Dimitri John Ledkov on 2016-12-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cgmanager (Ubuntu)
High
Unassigned
lxc-android-config (Ubuntu)
High
Unassigned
mountall (Ubuntu)
Undecided
Unassigned
ubuntu-touch-meta (Ubuntu)
High
Unassigned
ubuntu-touch-session (Ubuntu)
High
Unassigned
unity8-desktop-session (Ubuntu)
High
Unassigned
upstart (Ubuntu)
High
Steve Langasek
upstart-watchdog (Ubuntu)
High
Unassigned

Bug Description

In 18.04 LTS src:upstart should not be part of Ubuntu.
It has already been removed from Debian.
And most products have migrated to systemd.
This is a tracking bug to remove a collection of packages that need to go away together with upstart.

Some of these have been ported to systemd under different names, or no longer at all required.

= Removal order =

* ubuntu-touch-meta
* unity8-desktop-session

* ubuntu-touch-session
* upstart-watchdog
* lxc-android-config

* upstart

* cgmanager

= Reverse depends checks =

$ reverse-depends -b src:upstart
Reverse-Build-Depends
=====================
* tarantool (for upstart)
  ./debian/control: dh-systemd (>= 1.22) | sysvinit (<< 2.88dsf-59) | upstart (<< 1.13),

$ reverse-depends src:upstart
Reverse-Depends
===============
* ubuntu-touch-session (for upstart)
* unity8-desktop-session (for upstart)
* upstart-watchdog (for upstart)

$ reverse-depends src:ubuntu-touch-session
Reverse-Depends
===============
* ubuntu-touch (for ubuntu-touch-session)
$ reverse-depends -b src:ubuntu-touch-session
No reverse dependencies found

$ reverse-depends upstart-watchdog
Reverse-Depends
===============
* ubuntu-touch
$ reverse-depends -b src:upstart-watchdog
No reverse dependencies found

$ reverse-depends src:ubuntu-touch-meta
No reverse dependencies found
$ reverse-depends -b src:ubuntu-touch-meta
No reverse dependencies found

$ reverse-depends src:unity8-desktop-session
No reverse dependencies found
$ reverse-depends -b src:unity8-desktop-session
No reverse dependencies found

$ reverse-depends src:cgmanager
Reverse-Depends
===============
* lxc-android-config (for cgmanager)
* numad (for cgmanager)
  ./debian/control:Depends: systemd-sysv | cgmanager
* upstart [amd64 arm64 armhf i386 ppc64el] (for libcgmanager0)

$ reverse-depends -b src:cgmanager
Reverse-Build-Depends
=====================
* upstart (for libcgmanager-dev)

$ reverse-depends src:lxc-android-config
Reverse-Depends
===============
* ubuntu-touch (for lxc-android-config)

$ reverse-depends -b src:lxc-android-config
No reverse dependencies found

Dimitri John Ledkov (xnox) wrote :

upstart-watchdog should be removed, as this functionality is not needed going forward. There are extensive "watchdog" facilities provided built-in into systemd. System units can specify OnFailure mode in systemd to trigger a reboot. Session units should not cause device reboots.

Changed in upstart-watchdog (Ubuntu):
status: New → Triaged
importance: Undecided → High
milestone: none → ubuntu-17.03
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in upstart-watchdog (Ubuntu):
milestone: ubuntu-17.03 → ubuntu-17.05
Changed in upstart (Ubuntu):
milestone: ubuntu-17.03 → ubuntu-17.05
description: updated
description: updated
description: updated
description: updated
Changed in unity8-desktop-session (Ubuntu):
status: New → Triaged
Changed in ubuntu-touch-session (Ubuntu):
status: New → Triaged
Changed in ubuntu-touch-meta (Ubuntu):
status: New → Triaged
Changed in ubuntu-touch-session (Ubuntu):
importance: Undecided → High
Changed in ubuntu-touch-meta (Ubuntu):
importance: Undecided → High
Changed in unity8-desktop-session (Ubuntu):
importance: Undecided → High
Changed in unity8-desktop-session (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in ubuntu-touch-session (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in ubuntu-touch-meta (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in unity8-desktop-session (Ubuntu):
milestone: none → ubuntu-17.05
Changed in ubuntu-touch-session (Ubuntu):
milestone: none → ubuntu-17.05
Changed in ubuntu-touch-meta (Ubuntu):
milestone: none → ubuntu-17.05
description: updated
description: updated
description: updated
description: updated
Changed in ubuntu-touch-meta (Ubuntu):
status: Triaged → In Progress
Changed in unity8-desktop-session (Ubuntu):
status: Triaged → In Progress
description: updated

(and with that, i'll be needing a new distro :( )

@serge-hallyn

My understanding was that neither upstart or cgmanager are supported, nor maintained anymore. Which bits/packages are you specifically concerned about?

Dimitri John Ledkov (xnox) wrote :

E.g. if cgmanager are useful on their own right and/or upstart, we might keep them in universe.

I'm concerned about upstart in particular. Indeed cgmanager is
unsupported. I'm using upstart with cgroupfs-mount.

Steve Langasek (vorlon) on 2017-04-24
summary: - RM Upstart, obsolete, superseeded by systemd
+ RM Upstart, obsolete, superseded by systemd

I hope you are not using intermediate releases; and xenial with supported upstart in main, will be fully supported until 2021 + ESM

At that point you will be free to e.g. use 22.04 LTS with e.g. self-compiled upstart, no?

Removing upstart from artful, means that we will only support upstart as is in xenial, upto xenial EOL and EOE.

No we do not plan to support upstart as upstream, or in Ubuntu any more.

Serge Hallyn (serge-hallyn) wrote :

I don't expect upstart to be supported, but it would be nice to keep it in universe.

description: updated
description: updated
Changed in lxc-android-config (Ubuntu):
status: New → Triaged
Changed in cgmanager (Ubuntu):
status: New → Triaged
Changed in ubuntu-touch-meta (Ubuntu):
status: In Progress → Triaged
Changed in unity8-desktop-session (Ubuntu):
status: In Progress → Triaged
Changed in upstart-watchdog (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in upstart (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in cgmanager (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in ubuntu-touch-meta (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Bryan Quigley (bryanquigley) wrote :

@serge-hallyn
From what I can tell from https://github.com/tianon/cgroupfs-mount, this isn't needed after you go to systemd. Am I missing something?

Assuming their isn't a missing use case, I'm +1 on this removal. (and I note you already bumped them off the livecd/main)

Serge Hallyn (serge-hallyn) wrote :

@bryanquigley that's an odd non-sequitur. I'm avoiding switching to systemd (in part for power usage), and cgroupfs-mount is not the thing being removed.

Khurshid Alam (khurshid-alam) wrote :

It can be removed as systemd-sysv doesn't depend on upstart anymore.

Also I noticed lsb-base. Why is it still using upstart scripts?

Bryan Quigley (bryanquigley) wrote :

@serge-hallyn
That's what I was looking for - the reason you were staying on upstart. Do you have a bug describing the power usage differences you've noted so it can be fixed?

@khurshid-alam
Even on a fresh install check out /etc/init/. There are plenty of upstart scripts/support still in place. FWICT, Since 16.04 all of them have been inert, except those for a desktop session. But to your point, once upstart is removed we likely want to clear them all out.

Serge Hallyn (serge-hallyn) wrote :

@bryanquigley - no. i had opened one for networkmanager (or planned on it, don't remember how far i got), but in the end to provide meaningful details i'd have to *run* it. Stop trying to get me to run it. Thanks.

Dimitri John Ledkov (xnox) wrote :

src:unity dropping build-dep on src:upstart has now landed in artful. All packages are ready for removal, and no new dependencies are present. Barring any consultations with stakeholders, please remove affected packages.

description: updated
Changed in lxc-android-config (Ubuntu):
importance: Undecided → High
Changed in cgmanager (Ubuntu):
importance: Undecided → High
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in ubuntu-touch-session (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in unity8-desktop-session (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in upstart (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in lxc-android-config (Ubuntu):
milestone: none → ubuntu-17.05
Changed in cgmanager (Ubuntu):
milestone: none → ubuntu-17.05
Changed in upstart (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-touch-meta 1.288 in artful
  ubuntu-sdk-libs 1.288 in artful amd64
  ubuntu-sdk-libs 1.288 in artful arm64
  ubuntu-sdk-libs 1.288 in artful armhf
  ubuntu-sdk-libs 1.288 in artful i386
  ubuntu-touch 1.288 in artful amd64
  ubuntu-touch 1.288 in artful arm64
  ubuntu-touch 1.288 in artful armhf
  ubuntu-touch 1.288 in artful i386
Comment: Discontinued product; LP: #1649310
Remove [y|N]? y
1 package successfully removed.

Changed in ubuntu-touch-meta (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful amd64
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful arm64
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful armhf
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful i386
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful ppc64el
  unity8-desktop-session 1.0.13+17.04.20170328.1-0ubuntu1 in artful s390x
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful amd64
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful arm64
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful armhf
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful i386
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful ppc64el
  unity8-desktop-session-mir 1.0.13+17.04.20170328.1-0ubuntu1 in artful s390x
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful amd64
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful arm64
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful armhf
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful i386
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful ppc64el
  unity8-session-snap 1.0.13+17.04.20170328.1-0ubuntu1 in artful s390x
Comment: Discontinued product; LP: #1649310
Remove [y|N]? y
1 package successfully removed.

Changed in unity8-desktop-session (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful amd64
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful arm64
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful armhf
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful i386
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful ppc64el
  ubuntu-touch-session 0.109+17.04.20170301-0ubuntu1 in artful s390x
Comment: Discontinued product; LP: #1649310
1 package successfully removed.

Changed in ubuntu-touch-session (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 upstart-watchdog 0.4 in artful
  upstart-watchdog 0.4 in artful amd64
  upstart-watchdog 0.4 in artful arm64
  upstart-watchdog 0.4 in artful armhf
  upstart-watchdog 0.4 in artful i386
  upstart-watchdog 0.4 in artful ppc64el
  upstart-watchdog 0.4 in artful s390x
Comment: Discontinued product; LP: #1649310
1 package successfully removed.

Changed in upstart-watchdog (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful amd64
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful arm64
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful armhf
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful i386
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful ppc64el
  lxc-android-config 0.230+17.04.20170216-0ubuntu1 in artful s390x
Comment: Discontinued product; LP: #1649310
1 package successfully removed.

Changed in lxc-android-config (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 upstart 1.13.2-0ubuntu35 in artful
  libupstart-dev 1.13.2-0ubuntu35 in artful amd64
  libupstart-dev 1.13.2-0ubuntu35 in artful arm64
  libupstart-dev 1.13.2-0ubuntu35 in artful armhf
  libupstart-dev 1.13.2-0ubuntu35 in artful i386
  libupstart-dev 1.13.2-0ubuntu35 in artful ppc64el
  libupstart1 1.13.2-0ubuntu35 in artful amd64
  libupstart1 1.13.2-0ubuntu35 in artful arm64
  libupstart1 1.13.2-0ubuntu35 in artful armhf
  libupstart1 1.13.2-0ubuntu35 in artful i386
  libupstart1 1.13.2-0ubuntu35 in artful ppc64el
  upstart 1.13.2-0ubuntu35 in artful amd64
  upstart 1.13.2-0ubuntu35 in artful arm64
  upstart 1.13.2-0ubuntu35 in artful armhf
  upstart 1.13.2-0ubuntu35 in artful i386
  upstart 1.13.2-0ubuntu35 in artful ppc64el
  upstart-dconf-bridge 1.13.2-0ubuntu35 in artful amd64
  upstart-dconf-bridge 1.13.2-0ubuntu35 in artful arm64
  upstart-dconf-bridge 1.13.2-0ubuntu35 in artful armhf
  upstart-dconf-bridge 1.13.2-0ubuntu35 in artful i386
  upstart-dconf-bridge 1.13.2-0ubuntu35 in artful ppc64el
  upstart-monitor 1.13.2-0ubuntu35 in artful amd64
  upstart-monitor 1.13.2-0ubuntu35 in artful arm64
  upstart-monitor 1.13.2-0ubuntu35 in artful armhf
  upstart-monitor 1.13.2-0ubuntu35 in artful i386
  upstart-monitor 1.13.2-0ubuntu35 in artful ppc64el
  upstart-monitor 1.13.2-0ubuntu35 in artful s390x
Comment: Unused, replaced by systemd; LP: #1649310
1 package successfully removed.

Changed in upstart (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 cgmanager 0.41-2 in artful
  cgmanager 0.41-2 in artful amd64
  cgmanager 0.41-2 in artful arm64
  cgmanager 0.41-2 in artful armhf
  cgmanager 0.41-2 in artful i386
  cgmanager 0.41-2 in artful ppc64el
  cgmanager 0.41-2 in artful s390x
  cgmanager-tests 0.41-2 in artful amd64
  cgmanager-tests 0.41-2 in artful arm64
  cgmanager-tests 0.41-2 in artful armhf
  cgmanager-tests 0.41-2 in artful i386
  cgmanager-tests 0.41-2 in artful ppc64el
  cgmanager-tests 0.41-2 in artful s390x
  libcgmanager-dev 0.41-2 in artful amd64
  libcgmanager-dev 0.41-2 in artful arm64
  libcgmanager-dev 0.41-2 in artful armhf
  libcgmanager-dev 0.41-2 in artful i386
  libcgmanager-dev 0.41-2 in artful ppc64el
  libcgmanager-dev 0.41-2 in artful s390x
  libcgmanager0 0.41-2 in artful amd64
  libcgmanager0 0.41-2 in artful arm64
  libcgmanager0 0.41-2 in artful armhf
  libcgmanager0 0.41-2 in artful i386
  libcgmanager0 0.41-2 in artful ppc64el
  libcgmanager0 0.41-2 in artful s390x
  libpam-cgm 0.41-2 in artful amd64
  libpam-cgm 0.41-2 in artful arm64
  libpam-cgm 0.41-2 in artful armhf
  libpam-cgm 0.41-2 in artful i386
  libpam-cgm 0.41-2 in artful ppc64el
  libpam-cgm 0.41-2 in artful s390x
Comment: Unused, replaced by systemd; LP: #1649310
1 package successfully removed.

Changed in cgmanager (Ubuntu):
status: Triaged → Fix Released
summary: - RM Upstart, obsolete, superseded by systemd
+ RM Upstart, obsolete, superseded by systemd / Products discontinued
Will Cooke (willcooke) wrote :

Can/Should we deal with the U8 apps which are unsupported in this bug as well?

On 4 May 2017 at 11:32, Will Cooke <email address hidden> wrote:
> Can/Should we deal with the U8 apps which are unsupported in this bug as
> well?
>

The list for those might be a bit too large to load and manipulate
statuses effectively.
I am preparing a great repeal list of u8 things. Because it includes
android-touch, gles, and platform apis as well as the top-level apps.
Once I have a list of things, I was planning to file individual bugs
with a tag repeal-act-2019 (or similar), as we should be removing
things in the right order to avoid proposed-migration seeing
uninstallable things.

--
Regards,

Dimitri.

Iain Lane (laney) wrote :

On Thu, May 04, 2017 at 10:50:21AM -0000, Dimitri John Ledkov wrote:
> On 4 May 2017 at 11:32, Will Cooke <email address hidden> wrote:
> > Can/Should we deal with the U8 apps which are unsupported in this bug as
> > well?
> >
>
> The list for those might be a bit too large to load and manipulate
> statuses effectively.
> I am preparing a great repeal list of u8 things. Because it includes
> android-touch, gles, and platform apis as well as the top-level apps.
> Once I have a list of things, I was planning to file individual bugs
> with a tag repeal-act-2019 (or similar), as we should be removing
> things in the right order to avoid proposed-migration seeing
> uninstallable things.

It would be a good idea to share this list before starting to act on it.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Jamie Strandboge (jdstrand) wrote :

"Once I have a list of things, I was planning to file individual bugs with a tag repeal-act-2019 (or similar)"

Can you add click-apparmor and apparmor-easyprof-ubuntu to your list if they aren't there already?

Dimitri John Ledkov (xnox) wrote :

First take at removals for unity8 stack are here:
https://code.launchpad.net/~xnox/ubuntu-seeds/unity8-removals/+merge/323615

This is incomplete, but I hope it does not have false removals listed.

Notable things not listed:
 * unity7 stack as we are still using that in artful
 * click - as it is seeded into multiple flavors

W.r.t. click, once the store goes offline, we will no longer support clicks? or e.g. click is not going to be supported in artful?

Dimitri John Ledkov (xnox) wrote :

Notable things not listed:
 * oxide/webbrowser app, still in use for amazon "app"

Steve Langasek (vorlon) wrote :

On Thu, May 04, 2017 at 01:31:44PM -0000, Jamie Strandboge wrote:
> Can you add click-apparmor and apparmor-easyprof-ubuntu to your list if
> they aren't there already?

If you know of specific packages that you are the maintainer/upstream for
and should be removed, could you please just file bugs directly on these and
subscribe ubuntu-archive?

Steve Langasek (vorlon) wrote :

On Thu, May 04, 2017 at 03:20:01PM -0000, Dimitri John Ledkov wrote:
> Notable things not listed:
> * oxide/webbrowser app, still in use for amazon "app"

What pulls in the amazon app? I have heard that oxide is definitively not
on the supported list for 17.10+.

Iain Lane (laney) wrote :

On Thu, May 04, 2017 at 08:02:57PM -0000, Steve Langasek wrote:
> On Thu, May 04, 2017 at 03:20:01PM -0000, Dimitri John Ledkov wrote:
> > Notable things not listed:
> > * oxide/webbrowser app, still in use for amazon "app"
>
> What pulls in the amazon app? I have heard that oxide is definitively not
> on the supported list for 17.10+.

Opened bug #1688395 to discuss this stack.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Steve Langasek (vorlon) wrote :

Removing packages from artful:
 mountall 2.54ubuntu1 in artful
  mountall 2.54ubuntu1 in artful amd64
  mountall 2.54ubuntu1 in artful arm64
  mountall 2.54ubuntu1 in artful armhf
  mountall 2.54ubuntu1 in artful i386
  mountall 2.54ubuntu1 in artful ppc64el
  mountall 2.54ubuntu1 in artful s390x
Comment: Unused, replaced by systemd; LP: #1649310
Remove [y|N]? y
1 package successfully removed.

Changed in mountall (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers